Subject: [dtn-interest] Draft to request creation of IANA registries for Licklider Transmission Protocol (LTP) and Compressed Bundle Header Encoding (CBHE)

From: "Scott, Keith L." <[email-masked]>
Date: Fri, 9 Dec 2011 14:31:31 +0000

Stephen and I have posed an I-D requesting the creation of IANA registries for Licklider Transmission Protocol (RFC5326) and Compressed Bundle Header Encoding (RFC6260) registries.  The draft can be found at:

http://www.ietf.org/id/draft-dtnrg-ltp-cbhe-registries-00.txt

Does anyone have any comments?  Are there any additional registries that we've missed?

Best Regards,

                                --keith

---

From: "Burleigh, Scott C (313B)" <[email-masked]>
Date: Fri, 9 Dec 2011 08:34:32 -0800

One minor typo: at the end of section 2.2 is a sentence that erroneously refers to "LTP Engine ID" instead of "LTP Client Service ID".  Otherwise, looks good to me.

Scott

From: [email-masked] [mailto:[email-masked]] On Behalf Of Scott, Keith L.
Sent: Friday, December 09, 2011 6:32 AM
To: dtn-interest ([email-masked])
Subject: [dtn-interest] Draft to request creation of IANA registries for Licklider Transmission Protocol (LTP) and Compressed Bundle Header Encoding (CBHE)

Best Regards,

                                --keith

---

From: Elwyn Davies <[email-masked]>
Date: Fri, 09 Dec 2011 23:26:18 +0000

Hi.

A couple more nits and extra references needed:
- Short title (see page footers): Probably should be "LTP and CBHE IANA 
Registries"
- Need a reference to RFC 5226 for definitions of the various 
registration policies.
- Possibly it would be helpful to have a reference to RFC 5050 (and 
possibly also RFC 6256) for the definition of SDNVs (although it is 
duplicated in RFC 5326 - confusingly - why did we duplicate the 
definition here? (semi-rhetorical question)).
s3: s/Node Number'/'Node Number'/

Possible additional registries:
 From s3.2.4 of LTP:  Reason codes in Cancel Segments?

Regards,
Elwyn
On 09/12/11 16:34, Burleigh, Scott C (313B) wrote:
>
> One minor typo: at the end of section 2.2 is a sentence that 
> erroneously refers to "LTP Engine ID" instead of "LTP Client Service 
> ID".  Otherwise, looks good to me.
>
> Scott
>
> *From:[email-masked] 
> [mailto:[email-masked]] *On Behalf Of *Scott, Keith L.
> *Sent:* Friday, December 09, 2011 6:32 AM
> *To:* dtn-interest ([email-masked])
> *Subject:* [dtn-interest] Draft to request creation of IANA registries 
> for Licklider Transmission Protocol (LTP) and Compressed Bundle Header 
> Encoding (CBHE)
>
> Stephen and I have posed an I-D requesting the creation of IANA 
> registries for Licklider Transmission Protocol (RFC5326) and 
> Compressed Bundle Header Encoding (RFC6260) registries.  The draft can 
> be found at:
>
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/dtn-interest

---

From: "Burleigh, Scott C (313B)" <[email-masked]>
Date: Fri, 9 Dec 2011 17:01:43 -0800

That's a possibility, Elwyn.  I'm inclined to define those things exclusively in the specification, myself, but a registry would provide a little more flexibility.

Scott

From: Elwyn Davies [mailto:[email-masked]]
Sent: Friday, December 09, 2011 3:26 PM
To: Burleigh, Scott C (313B)
Cc: Scott, Keith L.; dtn-interest ([email-masked])
Subject: Re: [dtn-interest] Draft to request creation of IANA registries for Licklider Transmission Protocol (LTP) and Compressed Bundle Header Encoding (CBHE)

Hi.

...

Regards,
Elwyn

Scott

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Scott, Keith L.
Sent: Friday, December 09, 2011 6:32 AM
To: dtn-interest ([email-masked]<mailto:[email-masked]>)
Subject: [dtn-interest] Draft to request creation of IANA registries for Licklider Transmission Protocol (LTP) and Compressed Bundle Header Encoding (CBHE)

Best Regards,

                                --keith

[email-masked]<mailto:[email-masked]>